package com.jeeplus.modules.sg.picking.activiti.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.persistence.ActEntity;

import java.util.Date;

public class Acquisition extends ActEntity<Acquisition> {
    //项目定义号
    private String projectId;
    //项目名称
    private String projectName;
    //储备项目名称
    private String reserveProjectName;
    //项目发起的次数
    private String theNumber;
    //模块版本号
    private String version;
    //选择的项目及数量
    private String selectNumber;
    //是否可以导出erp领料单
    private Integer exportStatus;
    //是否开过领料单
    private String exportAfter;
    //导出erp领料单时间
    private Date exportTime;
    //审核通过时间
    private Date managerTime;
    //项目类型
    private String proType;
    //进场状态
    private String canEnter;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    public String getTheNumber() {
        return theNumber;
    }

    public void setTheNumber(String theNumber) {
        this.theNumber = theNumber;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getSelectNumber() {
        return selectNumber;
    }

    public void setSelectNumber(String selectNumber) {
        this.selectNumber = selectNumber;
    }

    public Integer getExportStatus() {
        return exportStatus;
    }

    public void setExportStatus(Integer exportStatus) {
        this.exportStatus = exportStatus;
    }

    public String getExportAfter() {
        return exportAfter;
    }

    public void setExportAfter(String exportAfter) {
        this.exportAfter = exportAfter;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    public Date getExportTime() {
        return exportTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    public void setExportTime(Date exportTime) {
        this.exportTime = exportTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    public Date getManagerTime() {
        return managerTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd")
    public void setManagerTime(Date managerTime) {
        this.managerTime = managerTime;
    }

    public String getProType() {
        return proType;
    }

    public void setProType(String proType) {
        this.proType = proType;
    }

    public String getCanEnter() {
        return canEnter;
    }

    public void setCanEnter(String canEnter) {
        this.canEnter = canEnter;
    }
}
